---
title: GlobalEventHandlers.onplay
slug: Web/API/GlobalEventHandlers/onplay
tags:
  - API
  - Event Handler
  - GlobalEventHandlers
  - Property
  - Reference
---
<div>{{ ApiRef("HTML DOM") }}</div>

<p>The <code><strong>onplay</strong></code><em> </em>property of the {{domxref("GlobalEventHandlers")}} mixin is the {{domxref("EventHandler")}} for processing {{event("play")}} events.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em><var>element</var></em>.onplay = <em>handlerFunction</em>;
var <em>handlerFunction</em> = <em><var>element</var></em>.onplay;
</pre>

<p><code>handlerFunction</code> should be either <code>null</code> or a <a href="/en-US/docs/Web/JavaScript/Reference/Functions" title="/en-US/docs/JavaScript/Reference/Functions_and_function_scope">JavaScript function</a> specifying the handler for the event.</p>

<h2 id="Example">Example</h2>

<pre class="brush: html">&lt;p&gt;This example demonstrates how to assign an "onplay" event to a video element.&lt;/p&gt;

&lt;video controls onplay="alertPlay()"&gt;
  &lt;source src="mov_bbb.mp4" type="video/mp4"&gt;
  &lt;source src="mov_bbb.ogg" type="video/ogg"&gt;
  Your browser does not support HTML5 video.
&lt;/video&gt;

&lt;p&gt;Video courtesy of &lt;a href="http://www.bigbuckbunny.org/" target="_blank"&gt;Big Buck Bunny&lt;/a&gt;.&lt;/p&gt;

&lt;script&gt;
function alertPlay() {
  alert("The video has started to play.");
}
&lt;/script&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','webappapis.html#handler-onplay','onplay')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>
       </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GlobalEventHandlers.onplay")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{event("play")}}</li>
 <li><a href="/en-US/docs/Web/Guide/Events/Event_handlers">Information on working with event handlers</a></li>
</ul>
